Subject: [alpine-aports] Some annoyances with the livecd (wireless, firmware...)

From: Isaac Dunham <[email-masked]>
Date: Sun, 12 Jul 2015 16:20:19 -0700

Hello,
I've recently tried testing the x86_64 livecd, and gave up temporarily
due to some annoyances--most related to wireless.
Alpine version is 3.2.1.
Short version:
-I think ath9k_htc might be buggy
-Please add zd1211rw firmware to the sfs with firmware!
-It would really be nice if we set up a union or overlay mount atop
/.modloop/, so it's possible to install modules and firmware without
manually copying/unmounting/replacing /.modloop/.
-Speaking of union mounts, it seems that -o union is not supported in
the busybox build we have. I don't know if it's supported in Busybox
off the top of my head; if it is, could you please turn it on?

Long version:
I installed wpa_supplicant, ran
 ifconfig wlan0 up
 ifconfig
 wpa_passphrase ssid secret >> /etc/wpa_supplicant/wpa_supplicant.conf
 service wpa_supplicant start
 wpa_cli status
 wpa_cli scan
 wpa_cli scan_results
(ssid and secret are not the actual values used, for obvious reasons),
and found that wlan0 stayed stuck in DISCONNECTED state, and did not
detect any networks.
The driver for the wireless adapter is ath9k_htc.
This seems to indicate that there is a bug in ath9k_htc, grsec/x86_64
kernel (assuming that grsec is the default on the full CD).

I then figured I might be able to fall back to a zd1211rw-supported
adapter I have, so I ran
  modinfo zd1211rw
  ls /lib/firmware/zd12*

Result: there is the driver, but the firmware is missing.
At this point I tried
 apk add linux-firmware
and get a long series of complaints about apk not being able to extract
various firmware.
I thought about a union mount so as to allow writing to /.modloop, but
that requires mount to support -o union; busybox mount --help suggests
it doesn't.
At this point I tried using overlayfs, but had no success:
 mount -t overlay -o rw,lowerdir=/.modloop,upperdir=/.module/real overlay \
  /.module/merge

Now, I see that I need to do thusly:
 mkdir /.module
 mount -t tmpfs writemods /.module
 mkdir -m 0755 -p /.module/dummy /.module/write
 mount -t overlay -o \
   rw,lowerdir=/.modloop,workdir=/.module/dummy,upperdir=/.module/write \
   modoverlay /.modloop

If something like that last bit could get stuck in the livecd scripts,
it would really make things work nicer.

Thanks,
Isaac Dunham

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---